2019-03-26 21:24 UTC

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0002254NetSurfAmiga-specificpublic2015-03-10 23:42
ReporterChris Young 
Assigned ToChris Young 
SeveritycrashReproducibilityalways 
StatusclosedResolutionfixed 
PlatformAmigaOSAmigaOSOS Version4.1FE
Product Version3.3 
Target Version3.3Fixed in Version3.3 
Summary0002254: Tab close crash in FE
DescriptionClosing a tab when running NetSurf under OS4.1FE can cause a crash in specific circumstances.
Steps To ReproduceFrom the hompage, middle-click a link to open it in a background tab.
Close the original tab.
Middle-click a link from the remaining tab to open another new tab.
Close this newly-opened tab.
Behold, crash.
Additional InformationThis appears to be related to a change in clicktab.gadget, where when tabs are closed it switches back to a different tab than it would previously (appears to always be the first tab). In this instance it may be switching to the tab we have already closed.
I think this is a bug in clicktab.gadget but may be able to work around it.
TagsNo tags attached.
Fixed in CI build #2526
Reported in CI build #2522
URL of problem page
Attached Files

-Relationships
+Relationships

-Notes
Chris Young

~0000570

Chris Young (developer)

Something buggy regarding clicktab IDs causing this. Might well be that CLICKTAB_AutoNumber has managed to get permanently set, and as we were relying on our clicktab ID staying static they stopped matching up. Have changed to use the node addresses instead, which has actually simplified the code.
Vincent Sanders

~0000750

Vincent Sanders (administrator)

Confirmed fixed in 3.3 release
+Notes

-Issue History
Date Modified Username Field Change
2015-01-14 18:43 Chris Young New Issue
2015-01-14 18:43 Chris Young Status new => assigned
2015-01-14 18:43 Chris Young Assigned To => Chris Young
2015-01-14 18:43 Chris Young File Added: Crashlog_NetSurf_2015-01-14_18-31-59.txt
2015-01-16 00:00 Chris Young Fixed in CI build # => 2526
2015-01-16 00:00 Chris Young Note Added: 0000570
2015-01-16 00:00 Chris Young Status assigned => resolved
2015-01-16 00:00 Chris Young Fixed in Version => 3.3
2015-01-16 00:00 Chris Young Resolution open => fixed
2015-03-10 23:42 Vincent Sanders Note Added: 0000750
2015-03-10 23:42 Vincent Sanders Status resolved => closed
+Issue History